# Uses of Interface
org.eclipse.emf.cdo.expressions.Expression

Packages that use Expression
Package
Description
org.eclipse.emf.cdo.expressions
The generated EMF API of the CDO expressions model.
org.eclipse.emf.cdo.expressions.impl
The generated EMF implementation of the CDO expressions model.
org.eclipse.emf.cdo.expressions.util
The generated EMF utilities of the CDO expressions model.
org.eclipse.emf.cdo.security
The generated EMF API of the CDO security model.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.

## Uses of Expression in org.eclipse.emf.cdo.expressions

Subinterfaces of Expression in org.eclipse.emf.cdo.expressions
Modifier and Type
Interface
Description
`interface`
`Access`
A representation of the model object 'Access'.
`interface`
`BooleanValue`
A representation of the model object 'Boolean Value'.
`interface`
`ByteValue`
A representation of the model object 'Byte Value'.
`interface`
`CharValue`
A representation of the model object 'Char Value'.
`interface`
`ContainedObject`
A representation of the model object 'Contained Object'.
`interface`
`ContextAccess`
A representation of the model object 'Context Value'.
`interface`
`DoubleValue`
A representation of the model object 'Double Value'.
`interface`
`FloatValue`
A representation of the model object 'Float Value'.
`interface`
`FunctionInvocation`
A representation of the model object 'Function Invocation'.
`interface`
`IntValue`
A representation of the model object 'Int Value'.
`interface`
`Invocation`
A representation of the model object 'Invocation'.
`interface`
`LinkedExpression`
A representation of the model object 'Linked Expression'.
`interface`
`LinkedObject`
A representation of the model object 'Object Value'.
`interface`
`ListConstruction`
A representation of the model object 'List Value'.
`interface`
`LongValue`
A representation of the model object 'Long Value'.
`interface`
`MemberAccess`
A representation of the model object 'Member Access'.
`interface`
`MemberInvocation`
A representation of the model object 'Member Invocation'.
`interface`
`ShortValue`
A representation of the model object 'Short Value'.
`interface`
`StaticAccess`
A representation of the model object 'Static Access'.
`interface`
`StringValue`
A representation of the model object 'String Value'.
`interface`
`Value`
A representation of the model object 'Primitive Value'.
Methods in org.eclipse.emf.cdo.expressions that return Expression
Modifier and Type
Method
Description
`Expression`
LinkedExpression.`getExpression()`
Returns the value of the 'Expression' reference.
`Expression`
Access.`getName()`
Returns the value of the 'Name' containment reference.
`Expression`
Invocation.`getName()`
Returns the value of the 'Name' containment reference.
`Expression`
MemberAccess.`getObject()`
Returns the value of the 'Object' containment reference.
`Expression`
MemberInvocation.`getObject()`
Returns the value of the 'Object' containment reference.
Methods in org.eclipse.emf.cdo.expressions that return types with arguments of type Expression
Modifier and Type
Method
Description
`EList<Expression>`
Invocation.`getArguments()`
Returns the value of the 'Arguments' containment reference list.
`EList<Expression>`
ListConstruction.`getElements()`
Returns the value of the 'Elements' containment reference list.
Methods in org.eclipse.emf.cdo.expressions with parameters of type Expression
Modifier and Type
Method
Description
`void`
LinkedExpression.`setExpression(Expression value)`
Sets the value of the '`Expression`' reference.
`void`
Access.`setName(Expression value)`
Sets the value of the '`Name`' containment reference.
`void`
Invocation.`setName(Expression value)`
Sets the value of the '`Name`' containment reference.
`void`
MemberAccess.`setObject(Expression value)`
Sets the value of the '`Object`' containment reference.
`void`
MemberInvocation.`setObject(Expression value)`
Sets the value of the '`Object`' containment reference.

## Uses of Expression in org.eclipse.emf.cdo.expressions.impl

Classes in org.eclipse.emf.cdo.expressions.impl that implement Expression
Modifier and Type
Class
Description
`class`
`AccessImpl`
An implementation of the model object 'Access'.
`class`
`BooleanValueImpl`
An implementation of the model object 'Boolean Value'.
`class`
`ByteValueImpl`
An implementation of the model object 'Byte Value'.
`class`
`CharValueImpl`
An implementation of the model object 'Char Value'.
`class`
`ContainedObjectImpl`
An implementation of the model object 'Contained Object'.
`class`
`ContextAccessImpl`
An implementation of the model object 'Context Value'.
`class`
`DoubleValueImpl`
An implementation of the model object 'Double Value'.
`class`
`FloatValueImpl`
An implementation of the model object 'Float Value'.
`class`
`FunctionInvocationImpl`
An implementation of the model object 'Function Invocation'.
`class`
`IntValueImpl`
An implementation of the model object 'Int Value'.
`class`
`InvocationImpl`
An implementation of the model object 'Invocation'.
`class`
`LinkedExpressionImpl`
An implementation of the model object 'Linked Expression'.
`class`
`LinkedObjectImpl`
An implementation of the model object 'Object Value'.
`class`
`ListConstructionImpl`
An implementation of the model object 'List Value'.
`class`
`LongValueImpl`
An implementation of the model object 'Long Value'.
`class`
`MemberAccessImpl`
An implementation of the model object 'Member Access'.
`class`
`MemberInvocationImpl`
An implementation of the model object 'Member Invocation'.
`class`
`ShortValueImpl`
An implementation of the model object 'Short Value'.
`class`
`StaticAccessImpl`
An implementation of the model object 'Static Access'.
`class`
`StringValueImpl`
An implementation of the model object 'String Value'.
`class`
`ValueImpl`
An implementation of the model object 'Primitive Value'.
Methods in org.eclipse.emf.cdo.expressions.impl that return Expression
Modifier and Type
Method
Description
`Expression`
LinkedExpressionImpl.`basicGetExpression()`
`Expression`
LinkedExpressionImpl.`getExpression()`
`Expression`
AccessImpl.`getName()`
`Expression`
InvocationImpl.`getName()`
`Expression`
MemberAccessImpl.`getObject()`
`Expression`
MemberInvocationImpl.`getObject()`
Methods in org.eclipse.emf.cdo.expressions.impl that return types with arguments of type Expression
Modifier and Type
Method
Description
`EList<Expression>`
InvocationImpl.`getArguments()`
`EList<Expression>`
ListConstructionImpl.`getElements()`
Methods in org.eclipse.emf.cdo.expressions.impl with parameters of type Expression
Modifier and Type
Method
Description
`NotificationChain`
AccessImpl.`basicSetName(Expression newName, NotificationChain msgs)`
`NotificationChain`
InvocationImpl.`basicSetName(Expression newName, NotificationChain msgs)`
`NotificationChain`
MemberAccessImpl.`basicSetObject(Expression newObject, NotificationChain msgs)`
`NotificationChain`
MemberInvocationImpl.`basicSetObject(Expression newObject, NotificationChain msgs)`
`void`
LinkedExpressionImpl.`setExpression(Expression newExpression)`
`void`
AccessImpl.`setName(Expression newName)`
`void`
InvocationImpl.`setName(Expression newName)`
`void`
MemberAccessImpl.`setObject(Expression newObject)`
`void`
MemberInvocationImpl.`setObject(Expression newObject)`

## Uses of Expression in org.eclipse.emf.cdo.expressions.util

Methods in org.eclipse.emf.cdo.expressions.util with parameters of type Expression
Modifier and Type
Method
Description
`T`
ExpressionsSwitch.`caseExpression(Expression object)`
Returns the result of interpreting the object as an instance of 'Expression'.
`static FunctionInvocation`
ExpressionsUtil.`construct(Expression className, Expression... arguments)`
`static FunctionInvocation`
ExpressionsUtil.`invoke(Expression name, Expression... arguments)`
`static MemberInvocation`
ExpressionsUtil.`invokeMember(Expression object, Expression name, Expression... arguments)`
`static ListConstruction`
ExpressionsUtil.`list(Expression... elements)`

## Uses of Expression in org.eclipse.emf.cdo.security

Methods in org.eclipse.emf.cdo.security that return Expression
Modifier and Type
Method
Description
`Expression`
ExpressionFilter.`getExpression()`
Returns the value of the 'Expression' containment reference.
Methods in org.eclipse.emf.cdo.security with parameters of type Expression
Modifier and Type
Method
Description
`ExpressionFilter`
SecurityFactory.`createExpressionFilter(Expression expression)`
`void`
ExpressionFilter.`setExpression(Expression value)`
Sets the value of the '`Expression`' containment reference.

## Uses of Expression in org.eclipse.emf.cdo.security.impl

Methods in org.eclipse.emf.cdo.security.impl that return Expression
Modifier and Type
Method
Description
`Expression`
ExpressionFilterImpl.`getExpression()`
Methods in org.eclipse.emf.cdo.security.impl with parameters of type Expression
Modifier and Type
Method
Description
`ExpressionFilter`
SecurityFactoryImpl.`createExpressionFilter(Expression expression)`
`void`
ExpressionFilterImpl.`setExpression(Expression newExpression)`